import dynamix_sdk.base as _base


class CloudapiK8sRestoreResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sRestoreProtocol(_base.BasePostAPIFunctionProtocol):
    def restore(
        self,
        *,
        k8s_id: int,
    ) -> CloudapiK8sRestoreResultBool:
        ...
